Subject: Re: PF_RING: Include in main line kernel?

From: Evgeniy Polyakov <[email-masked]>
Date: Sun, 18 Oct 2009 18:18:26 +0400

On Sun, Oct 18, 2009 at 02:43:37PM +0200, Harald Welte ([email-masked]) wrote:
> How does it make it any easier?  Even right now you can implement an entire
> protocol family in your own module, either by registering as netpoll handler,
> or even using the regular dev_add_pack().

Well, it does, since packet will be processed by the main stack after
that, and module will work with the copy only. But I agree that this is
a weak argument.

If it is still a blocking one, what about implementing additional
gpl-only list of handlers which will have 'consumed' skb check? I
believe it would be enough to put it only in single place after the
bridge?

-- 
	Evgeniy Polyakov